do
	local straticonsfile = import('/mods/biggerstratbuildicons/straticons.lua')
	local oldCommonLogic = CommonLogic
	function CommonLogic()
		oldCommonLogic()
		local oldSecondary = controls.secondaryChoices.SetControlToType
		local oldPrimary = controls.choices.SetControlToType
		controls.secondaryChoices.SetControlToType = function(control, type)
			oldSecondary(control, type)
			StratIconReplacement(control)
		end
		controls.choices.SetControlToType = function(control, type)
			oldPrimary(control, type)
			StratIconReplacement(control)
		end
	end
	
	function StratIconReplacement(control)
		if __blueprints[control.Data.id].StrategicIconName then
			local iconName = __blueprints[control.Data.id].StrategicIconName
			local iconConversion = straticonsfile.aSpecificStratIcons[control.Data.id] or straticonsfile.aStratIconTranslation[iconName]
			if iconConversion and DiskGetFileInfo('/mods/biggerstratbuildicons/icons_strategic/'..iconConversion..'.dds') then
				control.StratIcon:SetTexture('/mods/biggerstratbuildicons/icons_strategic/'..iconConversion..'.dds')
				LayoutHelpers.AtTopIn(control.StratIcon, control.Icon, 1)
				LayoutHelpers.AtRightIn(control.StratIcon, control.Icon, 1)
				LayoutHelpers.ResetBottom(control.StratIcon)
				LayoutHelpers.ResetLeft(control.StratIcon)
				control.StratIcon:SetAlpha(0.8)
			else
				LOG('Strat Icon Mod Error: updated strat icon required for: ', iconName)
			end
		end
	end
end
